ACP.LDB = {}
function ACP.LDB:Initialize()
	self.LDB = LibStub("LibDataBroker-1.1", true);
	self.DataObj = self.LDB:NewDataObject("ACP",
	{
		type = "data source",
		icon = "Interface\\Icons\\INV_Belt_42A.blp",
		text = "ACP",
		OnClick = function(pFrame, pButton) self:OnClick(pFrame, pButton); end,
		OnTooltipShow = function(tooltip)
			if not tooltip or not tooltip.AddLine then return end
			tooltip:AddLine("Addon Control Panel",1,1,1)
			tooltip:AddLine("|cff7fff7fClick|r to choose a profile.")
			tooltip:AddLine("|cff7fff7fAlt-click|r to reload UI.")
			tooltip:AddLine("|cff7fff7fRight-click|r to show ACP Panel.")
			tooltip:AddLine(" ")
			tooltip:AddLine("Please reload your UI,",1,1,1)
			tooltip:AddLine("after you load a profile.",1,1,1)
		end,
	});
	
	StaticPopupDialogs["ACPLDBReloadPrompt"] = {
  		text = "Are you sure you want to Reload your UI?",
  		button1 = "Yes",
  		button2 = "No",
  		OnAccept = function()
      			ReloadUI();
  		end,
  		timeout = 0,
  		whileDead = 1,
  		hideOnEscape = 1
	};
	--Setup Registered Events
end

function ACP.LDB:OnClick(pFrame, pButton)
	if pButton == "LeftButton" then
		if IsAltKeyDown() then
		 	StaticPopup_Show("ACPLDBReloadPrompt");
		else
			--Copied from ACP - set toggle to cursor for LDB
			if not self.dropDownFrame then
				local frame = CreateFrame("Frame", "ACPLDBSetDropDown", nil, "UIDropDownMenuTemplate");
				UIDropDownMenu_Initialize(frame, ACP.SetDropDown_Populate, "MENU");
				self.dropDownFrame = frame;
			end
			ToggleDropDownMenu(1, nil, self.dropDownFrame, "cursor");
		end
	else
		ShowUIPanel(ACP_AddonList);
	end
end

ACP.LDB:Initialize();